# pyrelacs

Relaxed ELectrophysiology Acquisition, Control, and Stimulation in python 

Implementing [relacs](https://github.com/relacs/relacs) with MCC USB 1608GX-2AO / 1808X devices ([multifunction-usb-daq-devices](https://digilent.com/shop/mcc-daq/data-acquisition/low-cost-daq/))

# Installation 
You have to install the MCC library (follow the installing instructions for [linux/macOS](https://github.com/mccdaq/uldaq) or [windows](https://github.com/mccdaq/mcculw)).

For MacOs if you run into problems with the libusb library if installed with homebrew, there is an issue thread on the uldaq repository.

[https://github.com/mccdaq/uldaq/issues/44](https://github.com/mccdaq/uldaq/issues/44)

After successful installing, you can use clone the repository and install it with

```sh
pip install -e .
```

# ToDo:

[ ] Input and output to and from the MCC devices

[ ] Stimuli generation

[ ] Attenuation to the input signal

[ ] GUI / Terminal application
